/*****************contacto**************/
.containercontacto {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
    max-width: 1100px;
    margin: 100px auto; /* Centrado */
    gap: 20px;
    flex-wrap: wrap; /* Para que se adapte mejor en pantallas medianas */
}

.formulario {
    flex: 1;
    max-width: 500px;
}
.formulario input, .formulario textarea {
    width: 100%;
    padding: 10px;
    margin: 13px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #e0e0e0;
}
.contact-form h2 {
    margin-bottom: 10px;
    color: #333;
    font-size: 39px;
    margin-left: 30%; /* Ajusta este valor según necesites */

}

.contact-form form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
}

/* Alineación del botón */
.contact-form .button-container {
    display: flex;
    justify-content: flex-end; /* Alinea el botón a la derecha */
    width: 100%;
}

.contact-form button {
    background-color: #007BFF;
    color: white;
    padding: 8px 16px;
    border: none;
    font-size: 14px;
    cursor: pointer;
    width: 150px;
    border-radius: 4px;
}

/* Información de contacto */
.info {
    width: 40%;
    position: relative;
    margin-top: 0;
    margin-bottom: 40px;
}

.info ul {
    list-style: none;
    padding: 0;
}

.info li {
    margin-bottom: 10px;
    color: #333;
    font-size: 16px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.info i {
    background-color: rgb(7, 105, 218);
    color: white;
    border-radius: 50%;
    padding: 10px;
    width: 15px;
    height: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Mapa */
.mapa {
    max-width: 500px;
    border: 5px solid #054A75;
    border-radius: 8px;
    overflow: hidden;
    margin-top: 20px;
}

.mapa iframe {
    width: 100%;
    height: 300px;
}

/* RESPONSIVE */
@media (max-width: 768px) {
    .containercontacto {
        flex-direction: column;
        align-items: center;
        text-align: center;
  width: 88%;
  margin: 50px 3%;
    }
    
    .questionpartpage{
        display: flex;
    flex-direction: row-reverse;

    }

    .formulario {
        max-width: 100%;
    }

    .contact-form .button-container {
        justify-content: center; /* Centrar el botón en pantallas peque??as */
    }
    
    .botonescontacto{
        width: 80%;
    }
    
    .botonescontacto button{
        margin:5px;
    }

    .info {
        width: 100%;
    }
    .mapa {
        max-width: 100%;
    }
}


#captchaBackground {
            display: flex;
  flex-direction: column;

        }
        #captcha {
            width: 150px;  /* Set the desired width */
            height: 50px;  /* Set the desired height */
            border: 1px solid #ccc;
            margin-bottom: 10px;
        }
       

